com.singularsys.jep.bigdecimal

## Class BigDecComponents

- java.lang.Object
- - com.singularsys.jep.ComponentSet
  - - com.singularsys.jep.bigdecimal.BigDecComponents

-     public class BigDecComponents
      extends ComponentSet

  A set of components for working with big decimal numbers.

- - ### Field Summary

    - ### Fields inherited from class com.singularsys.jep.ComponentSet

      `auxComps, evaluator, funTab, nodeFac, numFac, opTab, parser, pv, varFac, varTab`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BigDecComponents()` Constructs the class using the `MathContext.UNLIMITED` for unlimited precision arithmetic.
    `BigDecComponents(java.math.MathContext mc)` Constructs the class with the specific math context.
    `BigDecComponents(java.math.MathContext mc, boolean allowStrings)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getAllowStrings()` Whether string are allowed
    `java.math.MathContext` | `getMathContext()`
    `void` | `setAllowStrings(boolean allowStrings)` Sets whether BigDecimals and strings can be used together.
    `void` | `setMathContext(java.math.MathContext mc)`

    - ### Methods inherited from class com.singularsys.jep.ComponentSet

      `addAuxComponent, addComponents, getAuxComponents, getAuxComps, getBaseComponents, getComponents, getEvaluator, getFunctionTable, getNodeFactory, getNumberFactory, getOperatorTable, getParser, getPrintVisitor, getVariableFactory, getVariableTable, setAuxComps, setEvaluator, setFunctionTable, setNodeFactory, setNumberFactory, setOperatorTable, setParser, setPrintVisitor, setVariableFactory, setVariableTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BigDecComponents

          public BigDecComponents()

      Constructs the class using the `MathContext.UNLIMITED` for unlimited precision arithmetic.

    - #### BigDecComponents

          public BigDecComponents(java.math.MathContext mc)

      Constructs the class with the specific math context. The math context is passed the number factory, function table, and operator table constructors.
      Parameters:
        `mc` - the math context for the components.

    - #### BigDecComponents

          public BigDecComponents(java.math.MathContext mc,
                                  boolean allowStrings)

      Parameters:
        `mc` - The mathContext to use
        `allowStrings` - whether string are allowed

  - ### Method Detail

    - #### getMathContext

          public java.math.MathContext getMathContext()

    - #### setMathContext

          public void setMathContext(java.math.MathContext mc)

    - #### setAllowStrings

          public void setAllowStrings(boolean allowStrings)

      Sets whether BigDecimals and strings can be used together.
      Parameters:
        `allowStrings` -
      Since:
        3.4.0

    - #### getAllowStrings

          public boolean getAllowStrings()

      Whether string are allowed
      Returns:
        true is string can be used
      Since:
        3.4.0

Copyright © 2018 Singular Systems http://www.singularsys.com/jep